#include "stdafx.h"
#include "ClientFacade.h"


void ClientFacade::setSimulationControllerFacade(SimulationControllerFacade* _simulationControllerFacade)
{
	simulationControllerFacade = _simulationControllerFacade;
}

SimulationControllerFacade* ClientFacade::getSimulationControllerFacade()
{
	return simulationControllerFacade;
}


void ClientFacade::sendAction(AbstractAction* action)
{
	simulationControllerFacade->executeAction(action);
}

void ClientFacade::setSimulationResultDTO(AbstractSimulationResultDTO* simulationResult){
	_simulationResult = simulationResult;

}

AbstractSimulationResultDTO* ClientFacade::getSimulationResultDTO(){
	return _simulationResult;
}
